<script setup lang="ts">
import formCreate from '@form-create/ant-design-vue'

import { ref } from 'vue'

const formData = ref({})
const formApi = ref(null)

const formRules = ref([
  {
    type: 'input',
    field: 'username',
    title: '用户名',
    value: '',
  },
  {
    type: 'input',
    field: 'password',
    props: {
      type: 'password',
    },
    title: '密码',
    value: '',
  },
])
</script>

<template>
  <div id="app">
    <form-create v-model="formData" v-model:api="formApi" :rule="formRules" />
  </div>
</template>
